Subject: Re: bug#56078: 29.0.50; url-handler-mode fails to open FTP link

From: Michael Albinus <[email-masked]>
Date: Mon, 20 Jun 2022 12:53:03 +0200

Michael Albinus <[email-masked]> writes:

Hi,

> I'm able to reproduce it. In ange-ftp-get-files, there is
>
>   (setq directory (file-name-as-directory directory)) ;normalize
>
> As consequence the file name
> "/ftp:ftp.cam.ov.com:/pub/xrn/unsupported/xrn-motif.tgz/" is used from
> now on, which invokes tramp-archive functionality.
>
> The case with the url-handler-mode I haven't investigated yet.

Finally, there have been two independent problems, one in tramp-ftp.el,
and one in url-tramp.el. I've fixed both, pushed to master.

Could you please check your respective recipes?

Best regards, Michael.